# Uses of Class
org.eclipse.gef.layout.algorithms.TreeLayoutHelper

Packages that use TreeLayoutHelper
Package
Description
org.eclipse.gef.layout.algorithms
This package provides different implementations of concrete layout algorithms.

## Uses of TreeLayoutHelper in org.eclipse.gef.layout.algorithms

Fields in org.eclipse.gef.layout.algorithms declared as TreeLayoutHelper
Modifier and Type
Field
Description
`protected final TreeLayoutHelper`
TreeLayoutHelper.TreeNode.`owner`
The `TreeLayoutHelper` that controls this `TreeLayoutHelper.TreeNode`.
Methods in org.eclipse.gef.layout.algorithms that return TreeLayoutHelper
Modifier and Type
Method
Description
`TreeLayoutHelper`
TreeLayoutHelper.TreeNode.`getOwner()`
Methods in org.eclipse.gef.layout.algorithms with parameters of type TreeLayoutHelper
Modifier and Type
Method
Description
`TreeLayoutHelper.TreeNode`
TreeLayoutHelper.TreeNodeFactory.`createTreeNode(org.eclipse.gef.graph.Node nodeLayout, TreeLayoutHelper observer)`
Creates a new `TreeLayoutHelper.TreeNode` for the given `Node` and `TreeLayoutHelper`.
Constructors in org.eclipse.gef.layout.algorithms with parameters of type TreeLayoutHelper
Modifier
Constructor
Description
`protected`
`TreeNode(org.eclipse.gef.graph.Node node, TreeLayoutHelper owner)`
Creates a tree node related to given layout node